Autor Tema: Problemas cargando paquetes: sfmath y pstrick-add (Miktex y windows)

0 Usuarios y 1 Visitante están viendo este tema.

15 Febrero, 2014, 07:20 pm
Leído 4495 veces

poolnikov

  • Experto
  • Mensajes: 687
  • Karma: +0/-0
  • Sexo: Masculino
Hola.
Sigo con mi aprendizaje, y ahora tengo problemas al cargar paquetes.
Estoy usando sobre windows miktex 2.9 y como editor texmaker.
¿como puedo cargar los paquetes sfmath?
¿y el pstrick? Este entro en el Miktex en Package Manager busco el paquete y le instalo, pero cuando ejecuto LaTex en el editor me sigue dando problemas. El paquete sfmath no le encuentro en el Package Manager, se busco en la red, pero no se agregarle.
Gracias a todos.
Saludos

15 Febrero, 2014, 11:17 pm
Respuesta #1

argentinator

  • Consultar la FIRMAPEDIA
  • Administrador
  • Mensajes: 7,272
  • País: ar
  • Karma: +0/-0
  • Sexo: Masculino
  • Vean mis posts activos en mi página personal
    • Mis posts activos (click aquí)
No te puedo ayudar mucho porque siempre evito usar paquetes en lo posible.
Me limito a los más básicos, justamente para no perder tiempo renegando con LaTeX.

Con respecto a PStricks, como el nombre lo dice, realiza "trucos en formato PS", vale decir, "PostScript".
Para que funcione, hay que compilar en varias etapas, así:

Compilar de .tex a .dvi.
Convertir .dvi a .ps.
Convertir .ps a .pdf.

El TexMaker tiene comandos bien visibles para realizar esos pasos,
pero el problema es que hay que hacerlos en todas las ocasiones que quieras compilar.
Sin embargo, podrías usar la "compilación rápida".
Hay una de las opciones de compilación rápida (ver menú de configuración) en que termine especificar todo ese camino de compilación:

Compilar latex a dvi+dvi2ps+ps2pdf+ ver pdf.

O sea que seguramente tus problemas con PSTricks tienen una solución sencilla y elegante en TexMaker.

En cuanto al otro paquete, no sé.
Ni siquiera sé para qué sirve.
Yo te preguntaría si realmente lo necesitás.
A veces es preferible ahorrarse dolores de cabeza.

Los paquetes de uso más estándar son: los de AMS, los de PSTricks, los de TikZ, inputenc, babel, color, los que requiera beamer, quizás el geometry, y ya vamos cerrando la lista antes que se cuele algún paquete problemático...


15 Febrero, 2014, 11:29 pm
Respuesta #2

poolnikov

  • Experto
  • Mensajes: 687
  • Karma: +0/-0
  • Sexo: Masculino
Hola.
Muchas gracias.
El paquete PStricks quería cargarle para usar el código que saco de Geogebra. Probablemente el problema venga de que siempre compilo en pdflatex, tengo que probar lo que me dices.

El paquete sfmaths no le necesito para nada, tenía una plantilla que lo usa y quería compilarla. Lo que hace es poder usar san serif en el entorno matemático.

Un saludo.